#!/bin/bash

##
## prepares train set for systematicity.level2 experiment - words John & Steve
##
## last change: 21.4.2006
## by Michal Pokorny
##


## total number of snts in trainset
N=150


## only John and Steve
cat allsnt | grep -E "John|Steve" > tmp.JS.all

## John and Steve only as AGENTS
cat tmp.JS.all | grep -v " John )" | grep -v " Steve )" > tmp.JS.train

## fill trainset with other snts
cat allsnt | grep -v -E "John|Steve" > tmp.allsnt.JS
JS=$( cat tmp.JS.train | wc -l | sed -e "s/ //g" )
R=$(( $N - $JS ))

## first dataset
echo $N > trainset.JS.1
./gen.rest.sh tmp.allsnt.JS $R | cat tmp.JS.train - >> trainset.JS.1

## second dataset
echo $N > trainset.JS.2
./gen.rest.sh tmp.allsnt.JS $R | cat tmp.JS.train - >> trainset.JS.2

## third dataset
echo $N > trainset.JS.3
./gen.rest.sh tmp.allsnt.JS $R | cat tmp.JS.train - >> trainset.JS.3

## clean up
rm tmp*