#!/bin/bash

##
## prepares train set for systematicity.level2 experiment - word "dogs"
##
## last change: 21.4.2006
## by Michal Pokorny
##


## total number of snts in trainset
N=150


## only John and Steve
cat allsnt | grep -E " dogs " > tmp.dogs.all

## dogs only as AGENTS
cat tmp.dogs.all | grep -v " dogs )" > tmp.dogs.train

## fill trainset with other snts
cat allsnt | grep -v -E "dogs" > tmp.allsnt.dogs
D=$( cat tmp.dogs.train | wc -l | sed -e "s/ //g" )
R=$(( $N - $D ))

## first dataset
echo $N > trainset.dogs.1
./gen.rest.sh tmp.allsnt.dogs $R | cat tmp.dogs.train - >> trainset.dogs.1

## second dataset
echo $N > trainset.dogs.2
./gen.rest.sh tmp.allsnt.dogs $R | cat tmp.dogs.train - >> trainset.dogs.2

## third dataset
echo $N > trainset.dogs.3
./gen.rest.sh tmp.allsnt.dogs $R | cat tmp.dogs.train - >> trainset.dogs.3

## clean up
rm tmp*