#!/bin/bash

##
## divides given set of sentences into two: trainset and testset with equal number of sentences
##
## last change: 31.3.2006
## by Michal Pokorny
##

file=$1		## source file with translated sentences
noex=$2

## N - total number of sentences, M - trainset, K - testset
N=$( cat $file | egrep "[0-9]+" );
M=$(( $N / 2 ))
K=$(( $N - $M )) 

## it will be handy to have only sentences in file
cat $file | egrep -v "[0-9]" > tmp.snt

for experiment in $( seq 1 $noex ); do

    ## prepare permutation
    echo -n "" > tmp
    for i in $( seq 1 $N ); do
	echo -e "$RANDOM\t$i" >> tmp
    done

    ## permute
    cat tmp | sort -n | dm s2 | abut - tmp.snt | sort -n > tmp.snt.perm
    
    ## split
    echo $M > trainset.$experiment
    cat tmp.snt.perm | sed -n "1,$M p" | sed -e "s/^[0-9]*\t//g" -e "s/\t$/ /g" >> trainset.$experiment
    M1=$(( $M + 1 ))
    echo $K > testset.$experiment
    cat tmp.snt.perm | sed -n "$M1,$N p" | sed -e "s/^[0-9]*\t//g" -e "s/\t$/ /g" >> testset.$experiment

    cp trainset.$experiment ../Enc.neutral/trainset.$experiment
    cp trainset.$experiment ../Enc.wcd/trainset.$experiment
    cp trainset.$experiment ../Enc.wordnet/trainset.$experiment
    cp testset.$experiment ../Enc.neutral/testset.$experiment
    cp testset.$experiment ../Enc.wcd/testset.$experiment
    cp testset.$experiment ../Enc.wordnet/testset.$experiment

done

## clean up
rm tmp*