/*
 * We have set of vectors with small values in each field. We want to
 * scale these vectors so that all angles and all 
 *
 */ 


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NWORDS		50
#define DIMENSION	100

#define MAX_VALUE	1.0
#define MIN_VALUE	0.0

FILE * f;
double V[NWORDS][DIMENSION];

int main() {

    int i,j;
    double max;
    double scale;

    memset(V,0,sizeof(V));

    // read all words and get maximum field value
    max = -1;
    f = fopen("vectors.wcd", "r");
    for (i=0; i<NWORDS; i++) {
	for (j=0; j<DIMENSION; j++) {
	    fscanf(f, "%lf ", &V[i][j]);
	    if (V[i][j] > max) max = V[i][j];
	}
    }
    
    fclose(f);

    // we want maximum value of field to be MAX_VALUE
    scale = (MAX_VALUE - MIN_VALUE) / max;
    
    // scale all vectors
    for (i=0; i<NWORDS; i++) {
	for (j=0; j<DIMENSION; j++) {
	    V[i][j] *= scale;
	    V[i][j] += MIN_VALUE;
	}
    }

    f = fopen("vectors.scaled.wcd", "w");
    // write scaled vectors
    for (i=0; i<NWORDS; i++) {
	for (j=0; j<DIMENSION; j++) {
	    fprintf(f, "%.6lf ", V[i][j]);
	}
	fprintf(f, "\n");
    }    

    return 0;
}
