/*
 * matrixmul.c
 * comuptes product W'W for given matrix W within experiment on stdin
 *
 * version: 1.0
 * (c) Michal Pokorny, feb 2005
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lraam.h"

lraam_t * raam;
set_t * dataset;
set_t * termset;
extern int ARITY;

// main
// -----------------------------------------------------------------------------
int
main() {

    error_t err;
    int i,j,a,jj,aa;
    double sum;
    matrix_t W;
    int arity, dimension;

    // printing experiment data
    err = experiment_load(stdin, &raam, &dataset, &termset);
    if (err != ERR_OK) {
	fprintf(stderr, "ERROR %d: loading experiment failed\n", err);
	exit(1);
    }

    W = raam->W;
    arity = ARITY;
    dimension = raam->dimension;

    for (aa = 0; aa < arity; aa++) {
	for (jj = 0; jj < dimension; jj++) {
	    for (a=0; a < arity; a++) {
		for (j=0; j < dimension; j++) {
		    sum = 0.0;
		    for (i=0; i<dimension; i++) {
			sum += W[aa][i][jj] * W[a][i][j];
		    }
		    value_fprintf(stdout, sum);
		    fprintf(stdout, "\n");
		}
	    }
	}
    }
    
    // releasing memory
    lraam_free(raam);
    set_free(dataset);
    set_free(termset);

    return 0;
}
